Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.preference
Class PreferenceLabelProvider

    java.lang.Object
      org.eclipse.jface.viewers.LabelProvider
          org.eclipse.jface.preference.PreferenceLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider

public class PreferenceLabelProvider
extends LabelProvider

Provides labels for `IPreferenceNode` objects.

Since:
  3.0

Constructor Summary
`PreferenceLabelProvider()`

Method Summary
`Image` | `getImage(Object element)` The `LabelProvider` implementation of this `ILabelProvider` method returns `null`.
`String` | `getText(Object element)` The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string.

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreferenceLabelProvider

    public PreferenceLabelProvider()

Method Detail

### getText

    public String getText(Object element)

  Description copied from class: `LabelProvider`
  The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string. Subclasses may override.

  Specified by:
    `getText` in interface `ILabelProvider`
  Overrides:
    `getText` in class `LabelProvider`
  Parameters:
    `element` - must be an instance of `IPreferenceNode`.
  See Also:
    `ILabelProvider.getText(java.lang.Object)`

### getImage

    public Image getImage(Object element)

  Description copied from class: `LabelProvider`
  The `LabelProvider` implementation of this `ILabelProvider` method returns `null`. Subclasses may override.

  Specified by:
    `getImage` in interface `ILabelProvider`
  Overrides:
    `getImage` in class `LabelProvider`
  Parameters:
    `element` - must be an instance of `IPreferenceNode`.
  See Also:
    `ILabelProvider.getImage(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.